/* general */

.part-champdata {
    padding:var(--pad_mob) 0;
}

.part-champdata table {
    width:100% !important;
}

.part-champdata table tr:nth-child(even) td {
    background-color:#e0e0e0;
}

.part-champdata table th {
    background-color:var(--pri);
    color:#ffffff;
    font-weight:bold;
}

.part-champdata .table-wrappers.vscroll .wrapper1 {
    height:0;
}

.part-champdata .table-wrappers .wrapper2 .div2 {
    padding-bottom:0;
}

@media only screen and (min-width:1324px) {
    padding:var(--pad) 0;
}

/* general end */

/* person list */

.part-champdata .champion-persons-list {
    display:grid;
    grid-gap:32px;
    grid-template-columns: repeat(4,1fr);
}

.part-champdata .champion-persons-list .person {

}

.part-champdata .champion-persons-list .pic {
    aspect-ratio:3/4;
    position:relative;
    margin-left:auto;
    margin-right:auto;
    width:200px;
    margin-bottom:32px;
    transition:0.5s;
    box-shadow:0 0 0 rgba(0,0,0,0.2);
}

.part-champdata .champion-persons-list .pic:hover {
    box-shadow:10px 10px 10px rgba(0,0,0,0.2);
}

.part-champdata .champion-persons-list .data {
    text-align:center;
}

.part-champdata .champion-persons-list .data > a {
    color:inherit;
    font-family:'Acumin';
    font-size:32px;
    line-height:40px;
}

.part-champdata .champion-persons-list .pic a {
    display:block;
    height:100%;
    background-position:center center;
    background-repeat:no-repeat;
    background-size:cover;
    background-image:url('../gfx/noimg.svg');
}

.part-champdata .champion-persons-list .pic img {
    display:block;
    position:absolute;
    width:100%;
    height:100%;
    top:0;
    left:0;
    object-fit:cover;
    object-position:center top;
}

.part-champdata .champion-persons-list ul {
    margin:0;
    padding:0;
    list-style-type:none;
    text-align:center;
}

.part-champdata .champion-persons-list ul li {
    display:inline-block;
    padding-left:10px;
    padding-right:10px;
    font-size:14px;
    text-transform:uppercase;
}

.part-champdata .champion-persons-list ul li::before {
    display:none;
}

.part-champdata .champion-persons-list .clear {
    display:none;
}

.part-champdata .champion-persons-list .pager-bottom {
    grid-column: 1/5;
}

@media only screen and (min-width:1324px) {
    .part-champdata .champion-persons-list {
        grid-gap:1.667vw;
    }

    .part-champdata .champion-persons-list .pic {
        width:10.417vw;
        margin-bottom:1.667vw;
    }

    .part-champdata .champion-persons-list .pic:hover {
        box-shadow:0.5vw 0.5vw 0.5vw rgba(0,0,0,0.2);
    }

    .part-champdata .champion-persons-list .data > a {
        font-size:1.667vw;
        line-height:2.083vw;
    }

    .part-champdata .champion-persons-list ul li {
        padding-left:0.5vw;
        padding-right:0.5vw;
        font-size:0.729vw;
    }
}

@media only screen and (max-width:1323px) {
    .part-champdata .champion-persons-list {
        grid-template-columns: repeat(3,1fr);
    }

    .part-champdata .champion-persons-list .pager-bottom {
        grid-column: 1/4;
    }
}

@media only screen and (max-width:993px) {
    .part-champdata .champion-persons-list {
        grid-template-columns: repeat(2,1fr);
    }

    .part-champdata .champion-persons-list .pager-bottom {
        grid-column: 1/3;
    }
}

@media only screen and (max-width:639px) {
    .part-champdata .champion-persons-list {
        grid-template-columns: repeat(2,1fr);
    }

    .part-champdata .champion-persons-list .pager-bottom {
        grid-column: 1/3;
    }
    
    .part-champdata .champion-persons-list .pic {
        width:170px;
    }

    .part-champdata .champion-persons-list .data > a {
        font-size:24px;
        line-height:32px;
    }
}

@media only screen and (max-width:479px) {
    .part-champdata .champion-persons-list .pic {
        width:100%;
    } 
    
    
    
    .part-champdata .champion-persons-list ul li {
        font-size:12px;
    }
}

/* person list end */

/* list */

.part-champdata .champions-result-list a.tools-print {
    display:inline-block;
    font-size:14px;
    font-weight:bold;
    padding:10px 20px;
    background-color:var(--pri);
    color:#ffffff;
    transition:0.5s;
    text-transform:uppercase;
}

.part-champdata .champions-result-list a.tools-print:hover {
    background-color:var(--sec);
}

.part-champdata .champions-result-list table td {
    font-size:14px;
}

.part-champdata .champions-result-list table td a {
    color:inherit;
    font-weight:bold;
    transition:0.3s;
    display:inline-block;
    padding-right:32px;
    background-repeat:no-repeat;
    background-image:url('../gfx/more.svg');
    background-position:right top;
    background-size:22px;
}

.part-champdata .champions-result-list table td a:hover {
    color:var(--sec);
}

@media only screen and (min-width:1324px) {
    .part-champdata .champions-result-list table td {
        font-size:0.729vw;
    }

    .part-champdata .champions-result-list table td a {
        padding-right:1.667vw;
        background-size:1.146vw;
    }

    .part-champdata .champions-result-list a.tools-print {
        font-size:0.729vw;
    }
}

/* list end */

/* details */

.part-champdata .person-wrap {
    padding:var(--pad_mob);
    box-shadow:0 0 10px rgba(0,0,0,0.2);
    margin-bottom:var(--pad_mob);
    width:360px;
    float:left;
    margin-right:var(--pad_mob);
}

.part-champdata .person-pic {
    aspect-ratio:10/13;
    position:relative;
    max-width:320px;
    margin-bottom:var(--pad_mob);
    margin-left:auto;
    margin-right:auto;
}

.part-champdata .person-pic.no {
    background-repeat:no-repeat;
    background-image:url('../gfx/noimg.svg');
    background-size:cover;
    background-position:center center;
}

.part-champdata .person-pic img {
    display:block;
    position:absolute;
    top:0;
    left:0;
    width:100%;
    height:100%;
    object-fit:cover;
    object-position:center top;
}

.part-champdata .person-wrap > h3 {
    text-align:center;
    margin-bottom:0;
}

.part-champdata .personal-data-wrap {
    float:left;
    width:calc(100% - 360px - var(--pad_mob));
}

.part-champdata table.personal-data td {
    padding:5px 20px 5px 0;
    background:none !important;
}

.part-champdata .sports-results-wrap {
    clear:both;
}

.part-champdata table.sports-results {
    width:100%;
}

.part-champdata table.sports-results th,
.part-champdata table.sports-results td {
    font-size:14px;
}

.part-champdata table.personal-data td:first-child {
    font-weight:bold;
    white-space:nowrap;
}

.part-champdata .champion-details-desc {
    padding-top:var(--pad_mob);
}

@media only screen and (min-width:1324px) {
    .part-champdata .person-wrap {
        width:32.292vw;
        padding:var(--pad);
        box-shadow:0 0 0.5vw rgba(0,0,0,0.2);
        margin-bottom:var(--pad);
        margin-right:var(--pad_mob);
    }

    .part-champdata .person-pic {
        max-width:16.667vw;
        margin-bottom:1.667vw;
    }

    .part-champdata .personal-data-wrap {
        margin-bottom:var(--pad);
        width:calc(100% - 32.292vw - var(--pad_mob));
    }

    .part-champdata table.personal-data td {
        padding:0.25vw 1vw 0.25vw 0;
    }

    .part-champdata table.sports-results th,
    .part-champdata table.sports-results td {
        font-size:0.729vw;
    }

    .part-champdata .champion-details-desc {
        padding-top:var(--pad);
    }

}

@media only screen and (max-width:1323px) {
    .part-champdata .champion-details table {
        margin:0;
    }
}

@media only screen and (max-width:993px) {
    .part-champdata .person-wrap {
        float:none;
        margin-right:0;
    }

    .part-champdata .personal-data-wrap {
        width:auto;
        float:none;
        margin-bottom:var(--pad_mob);
    }
}

@media only screen and (max-width:639px) {
    .part-champdata .person-wrap {
        padding:32px;
        margin-bottom:32px;
    }

    .part-champdata .personal-data-wrap {
        margin-bottom:32px;
    }

    .part-champdata table.personal-data,
    .part-champdata table.personal-data thead,
    .part-champdata table.personal-data tbody,
    .part-champdata table.personal-data tr,
    .part-champdata table.personal-data th,
    .part-champdata table.personal-data td {
        display:block;
    }

    .part-champdata table.personal-data tr {
        padding:10px 0;
    }

    .part-champdata table.personal-data td {
        padding:0;
    }

    .part-champdata .champion-details-desc {
        padding-top:32px;
    }
}

@media only screen and (max-width:479px) {
    .part-champdata .person-wrap {
        width:auto;
    }
}

/* details end */

/*----- IMAGES -----*/

.part-champdata .champion-details-desc img {
    margin-top:32px;
    margin-bottom:32px;
    mix-blend-mode:multiply;
}



.part-champdata .champion-details-desc table tr td img {
    margin:0;
    max-width:100%;
    height:auto;
}

.part-champdata .champion-details-desc img[style*="float: left"],
.part-champdata .champion-details-desc img[style*="float:left"] {
    max-width: 50%;
    margin: 5px 32px 24px 0 !important;

}

.part-champdata .champion-details-desc img[style*="float: right"],
.part-champdata .champion-details-desc img[style*="float:right"] {
    max-width: 50%;
    margin: 5px 0 24px 32px !important;
}

@media only screen and (min-width:1324px) {

    .part-champdata .champion-details-desc img {
        margin-top:1.667vw;
        margin-bottom:1.667vw;
    }

    .part-champdata .champion-details-desc img[style*="float: left"],
    .part-champdata .champion-details-desc img[style*="float:left"] {
        margin: 0.26vw 1.667vw 1.25vw 0 !important;
    }

    .part-champdata .champion-details-desc img[style*="float: right"],
    .part-champdata .champion-details-desc img[style*="float:right"] {
        margin: 0.26vw 0 1.25vw 1.667vw !important;
    }
}

@media only screen and (max-width: 639px) {
    .part-champdata .champion-details-desc img {
        max-width: 100%;
        height: auto !important;
        max-height:none !important;
    }
}

@media only screen and (min-width: 480px) {
    .part-champdata .champion-details-desc img {
        max-width: 100%;
        height: auto;
    }

    .part-champdata .champion-details-desc table td img {
        max-width:none;
    }

}

@media only screen and (max-width:993px) {
    .part-champdata .champion-details-desc img {
        max-width: 100%;
        display:block;
        /*width: auto;*/
        height: auto !important;
        margin-top: 20px;
        margin-bottom:20px;
        max-height:none !important;
    }

    .part-champdata .champion-details-desc img[style*="float: left"],
    .part-champdata .champion-details-desc img[style*="float:left"] {
        max-width:100%;
        margin: 20px 0 !important;
        float:none !important;
        clear:both;
    }

    .part-champdata .champion-details-desc img[style*="float: right"],
    .part-champdata .champion-details-desc img[style*="float:right"] {
        max-width: 100%;
        margin: 20px 0 !important;
        float:none !important;
        clear:both;
    }
}

/* images end */